
QGIS Application - Feature request #2816

Allow class rearrangement in the Layer Properties->Style and in the Layers panel.

2010-06-16 01:25 PM - tdeleus -

Status: Closed

Priority: Normal

Assignee: Radim Blazek

Category: Symbology

Pull Request or Patch supplied:No Resolution: fixed

Easy fix?: No Copied to github as #: 12876

Description

I am using the new symbology editor.

I have a line vector layer from GRASS  which represents roads and I classify them using:

Categorized

on a column containing the speed with a colorramp.

As you can see in the screenshot, QGIS orders the labels random (6 - 15 - 30 - 65 - 45). 65 should come after 45. So I want to change the

order of the labels by deleting them and adding them in the right position afterwards.

There is a delete button that deletes any value of the legend, but there is no "Add Value" button, so I can not Add any value.

The same counts for polygon layers.

Note: The error in the classification seems specific to GRASS (can´t repeat it with shapefiles), but the basic point is that It would be nice if

you could change the order of legend items.   This would be needed when classifying on a string field: classify on a text string (like one,

two, three, for ...), the legend will classify "for - one - three - two". How can I change the order these items appear in my legend ...

Thanks

Associated revisions

Revision c4b74c92 - 2012-11-11 07:52 PM - Radim Blazek

Categorized vector GUI DnD and sorting, fixes #2816

History

#1 - 2011-03-05 12:08 PM - Volker Fröhlich

#2898 is somewhat related

#2 - 2011-03-26 08:27 AM - Borys Jurgiel

The button has been added in the meantime. The legend order can be set in the print composer.

The last remaining enchancement would be to allow moving the items up and down also in the Layer Properties and display that order in the Layers panel.

Well, the latter should be also triggered when the items are resorted by click on the header (see #3322). I believe it is quite low priority, anyway.

#3 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0
#5 - 2012-10-06 02:34 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2012-11-11 11:05 AM - Radim Blazek

- Status changed from Open to Closed

Fixed in changeset commit:"c4b74c9266d48bb864d4c424f87adc8fa940d9bf".

#7 - 2012-11-11 11:08 AM - Radim Blazek

- Pull Request or Patch supplied set to No

- Resolution set to fixed

Implemented drag and drop for selected row(s) and sorting by value (various data types like numbers etc. should be sorted correctly) and by label.

Work done by Faunalia for Agence de l'eau Adour Garonne.

#8 - 2012-11-12 02:40 AM - Regis Haubourg

Hi Radim, nice again, thx! 

I couldn't sort legend for graduated numeric legends in revision 6bbe81bb.  I reordered cliking on some columns headers, but order is not kept in legend

once properties applied. Régis

#9 - 2012-11-12 03:41 AM - Radim Blazek

- Status changed from Closed to Open

- Assignee changed from Martin Dobias to Radim Blazek

- Priority changed from Low to Normal

- Resolution deleted (fixed)

Graduated is another renderer. The two renderers do not share this code, the same must be implemented for graduated.

#10 - 2012-11-18 03:58 AM - Radim Blazek

- Status changed from Open to Closed

- Resolution set to fixed

Drag and drop and sorting implemented also for graduated renderer in commit:a1a1fb7be7.

Better drop indicator (line between items) and enabled drop under all items.
